Opened 13 years ago

Closed 13 years ago

#1894 closed Bug (fixed)

Crash when download finishes and seed ratio is already met

Reported by: zonzi Owned by: charles
Priority: Normal Milestone:
Component: libtransmission Version: 1.51+
Severity: Normal Keywords:
Cc: nick@…, 1100101@…

Description

Since changeset 8014 the mac transmission client crashes once the torrent download completes if the auto stop seeding at ratio is set to zero. If you change it to anything higher it seems to be okay in my minor testing. I can only test the mac version at the moment so I am unaware if it effects the other os versions. Crashlog Attached. Thanks for all the hard work. Let me know if you need any more info.

OS X 10.5.6 Macbook Pro

Attachments (5)

Transmission_2009-03-05-124232.crash (21.9 KB) - added by zonzi 13 years ago.
Crashlog
Transmission_2009-03-27-151618_Network.crash (22.6 KB) - added by esetleges 13 years ago.
Transmission Crash Logs.zip (35.0 KB) - added by dak180 13 years ago.
A zip of five crash logs.
Transmission_2009-03-30-161425.crash.zip (6.8 KB) - added by dak180 13 years ago.
Crashlog for build 8116
Transmission_2009-04-03-170304_Computer.crash (25.4 KB) - added by esetleges 13 years ago.

Download all attachments as: .zip

Change History (33)

Changed 13 years ago by zonzi

Crashlog

comment:1 Changed 13 years ago by charles

As an aside, this is impossible in the gtk+ client because its minimum seed-until ratio is 0.50.

That crash log seems to have been generated by a Transmission executable that's had its debugging information stripped out, so it's less useful than it would be otherwise. Could you please attach a crash report from an executable with debugging information compiled in, as the nightlies from xpjets are?

comment:2 Changed 13 years ago by charles

  • Version set to 1.50+

comment:3 Changed 13 years ago by livings124

  • Component changed from Transmission to libtransmission
  • Owner set to charles
Process:         Transmission [66590]
Path:            /Users/mitchell/Desktop/Transmission/build/Debug/Transmission.app/Contents/MacOS/Transmission
Identifier:      org.m0k.transmission
Version:         1.51+ (8022)
Code Type:       X86 (Native)
Parent Process:  launchd [104]

Date/Time:       2009-03-05 17:30:36.398 -0500
OS Version:      Mac OS X 10.5.6 (9G55)
Report Version:  6

Exception Type:  EXC_BAD_ACCESS (SIGBUS)
Exception Codes: KERN_PROTECTION_FAILURE at 0x000000000000000f
Crashed Thread:  1

Thread 0:
0   libSystem.B.dylib             	0x9045120e semaphore_wait_signal_trap + 10
1   libSystem.B.dylib             	0x90458ce5 pthread_mutex_lock + 569
2   org.m0k.transmission          	0x0007879b tr_lockLock + 33 (platform.c:191)
3   org.m0k.transmission          	0x0006adfc tr_globalLock + 100 (session.c:629)
4   org.m0k.transmission          	0x00073cc2 tr_torrentLock + 25 (torrent.h:255)
5   org.m0k.transmission          	0x00073160 tr_torrentStat + 130 (torrent.c:820)
6   org.m0k.transmission          	0x00031dc5 -[Torrent(Private) completenessChange:] + 35 (Torrent.m:1812)
7   com.apple.Foundation          	0x96bdc39c __NSThreadPerformPerform + 476
8   com.apple.CoreFoundation      	0x902c95f5 CFRunLoopRunSpecific + 3141
9   com.apple.CoreFoundation      	0x902c9cd8 CFRunLoopRunInMode + 88
10  com.apple.HIToolbox           	0x967bf2c0 RunCurrentEventLoopInMode + 283
11  com.apple.HIToolbox           	0x967bf0d9 ReceiveNextEventCommon + 374
12  com.apple.HIToolbox           	0x967bef4d BlockUntilNextEventMatchingListInMode + 106
13  com.apple.AppKit              	0x94b50d7d _DPSNextEvent + 657
14  com.apple.AppKit              	0x94b50630 -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 128
15  com.apple.AppKit              	0x94b4966b -[NSApplication run] + 795
16  com.apple.AppKit              	0x94b168a4 NSApplicationMain + 574
17  org.m0k.transmission          	0x00002c8f main + 153 (main.m:38)
18  org.m0k.transmission          	0x00002bca start + 54

Thread 1 Crashed:
0   org.m0k.transmission          	0x0009a815 readBtPiece + 746 (peer-msgs.c:1321)
1   org.m0k.transmission          	0x0009b8f8 canRead + 184 (peer-msgs.c:1619)
2   org.m0k.transmission          	0x0008e060 canReadWrapper + 206 (peer-io.c:135)
3   org.m0k.transmission          	0x0008e466 event_read_cb + 415 (peer-io.c:220)
4   org.m0k.transmission          	0x000ab5e0 event_process_active + 302
5   org.m0k.transmission          	0x000ab9d1 event_base_loop + 465
6   org.m0k.transmission          	0x000ab7fa event_loop + 44
7   org.m0k.transmission          	0x000ab634 event_dispatch + 24
8   org.m0k.transmission          	0x00089546 libeventThreadFunc + 228 (trevent.c:241)
9   org.m0k.transmission          	0x00078644 ThreadFunc + 34 (platform.c:112)
10  libSystem.B.dylib             	0x90482095 _pthread_start + 321
11  libSystem.B.dylib             	0x90481f52 thread_start + 34

Thread 2:
0   libSystem.B.dylib             	0x90481906 kevent + 10
1   com.apple.Foundation          	0x96bdb7ed -[NSThread main] + 45
2   com.apple.Foundation          	0x96bdb394 __NSThread__main__ + 308
3   libSystem.B.dylib             	0x90482095 _pthread_start + 321
4   libSystem.B.dylib             	0x90481f52 thread_start + 34

Thread 3:
0   libSystem.B.dylib             	0x904583ae __semwait_signal + 10
1   libSystem.B.dylib             	0x90482d0d pthread_cond_wait$UNIX2003 + 73
2   com.apple.ColorSync           	0x91cde45c pthreadSemaphoreWait(t_pthreadSemaphore*) + 42
3   com.apple.ColorSync           	0x91cf0d8e CMMConvTask(void*) + 54
4   libSystem.B.dylib             	0x90482095 _pthread_start + 321
5   libSystem.B.dylib             	0x90481f52 thread_start + 34

Thread 4:
0   libSystem.B.dylib             	0x904583ae __semwait_signal + 10
1   libSystem.B.dylib             	0x90482d0d pthread_cond_wait$UNIX2003 + 73
2   com.apple.QuartzCore          	0x96f94ab9 fe_fragment_thread + 54
3   libSystem.B.dylib             	0x90482095 _pthread_start + 321
4   libSystem.B.dylib             	0x90481f52 thread_start + 34

Thread 5:
0   libSystem.B.dylib             	0x904a06f2 select$DARWIN_EXTSN + 10
1   libSystem.B.dylib             	0x90482095 _pthread_start + 321
2   libSystem.B.dylib             	0x90481f52 thread_start + 34

Thread 6:
0   libSystem.B.dylib             	0x904511c6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x904589bc mach_msg + 72
2   com.apple.CoreFoundation      	0x902c90ae CFRunLoopRunSpecific + 1790
3   com.apple.CoreFoundation      	0x902c9cd8 CFRunLoopRunInMode + 88
4   com.apple.Foundation          	0x96c3ed40 +[NSURLConnection(NSURLConnectionReallyInternal) _resourceLoadLoop:] + 320
5   com.apple.Foundation          	0x96bdb7ed -[NSThread main] + 45
6   com.apple.Foundation          	0x96bdb394 __NSThread__main__ + 308
7   libSystem.B.dylib             	0x90482095 _pthread_start + 321
8   libSystem.B.dylib             	0x90481f52 thread_start + 34

Thread 7:
0   libSystem.B.dylib             	0x904511c6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x904589bc mach_msg + 72
2   com.apple.CoreFoundation      	0x902c90ae CFRunLoopRunSpecific + 1790
3   com.apple.CoreFoundation      	0x902c9cd8 CFRunLoopRunInMode + 88
4   com.apple.audio.CoreAudio     	0x921655dc HALRunLoop::OwnThread(void*) + 160
5   com.apple.audio.CoreAudio     	0x92165464 CAPThread::Entry(CAPThread*) + 96
6   libSystem.B.dylib             	0x90482095 _pthread_start + 321
7   libSystem.B.dylib             	0x90481f52 thread_start + 34

Thread 8:
0   libSystem.B.dylib             	0x904511c6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x904589bc mach_msg + 72
2   com.apple.CoreFoundation      	0x902c90ae CFRunLoopRunSpecific + 1790
3   com.apple.CoreFoundation      	0x902c9cd8 CFRunLoopRunInMode + 88
4   com.apple.CFNetwork           	0x92d10ebe CFURLCacheWorkerThread(void*) + 396
5   libSystem.B.dylib             	0x90482095 _pthread_start + 321
6   libSystem.B.dylib             	0x90481f52 thread_start + 34

Thread 1 crashed with X86 Thread State (32-bit):
  eax: 0xffffffff  ebx: 0x0009a541  ecx: 0x4d555458  edx: 0x00000008
  edi: 0x00000000  esi: 0x0008e2c7  ebp: 0xb00bbd38  esp: 0xb00ba0d0
   ss: 0x0000001f  efl: 0x00010286  eip: 0x0009a815   cs: 0x00000017
   ds: 0x0000001f   es: 0x0000001f   fs: 0x0000001f   gs: 0x00000037
  cr2: 0x0000000f

Binary Images:
    0x1000 -    0xd0fff +org.m0k.transmission 1.51+ (8022) <7b830079b0f6f0b007594cce7246fc26> /Users/mitchell/Desktop/Transmission/build/Debug/Transmission.app/Contents/MacOS/Transmission
  0x13d000 -   0x151fff +org.andymatuschak.Sparkle 1.5 Beta (bzr) (337) <ff8e2800bd64f6cec68510d6a13a5da6> /Users/mitchell/Desktop/Transmission/build/Debug/Transmission.app/Contents/Frameworks/Sparkle.framework/Versions/A/Sparkle
  0x15f000 -   0x18affb  libcurl.4.dylib ??? (???) <54ada27deb3b4ff7043d8836264eca0d> /usr/lib/libcurl.4.dylib
  0x194000 -   0x275ff7  libxml2.2.dylib ??? (???) <306036e0070330e35045650e6d9f0d05> /usr/lib/libxml2.2.dylib
  0x2a2000 -   0x376fef  com.apple.WebKit 5528 (5528.16) <24ccae21ccfe5c21c2a78656983324c1> /System/Library/Frameworks/WebKit.framework/Versions/A/WebKit
  0x415000 -   0x57afe7  com.apple.JavaScriptCore 5528 (5528.15) <a1edf2b00622f9d833987cb333b432ac> /System/Library/Frameworks/JavaScriptCore.framework/Versions/A/JavaScriptCore
  0xddd000 -  0x1667fff  com.apple.WebCore 5528 (5528.16) <7e28871fe2b59d98edd6e624d850ccb8> /System/Library/Frameworks/WebKit.framework/Versions/A/Frameworks/WebCore.framework/Versions/A/WebCore
 0x1bba000 -  0x1db0fff  com.apple.RawCamera.bundle 2.0.12 (421) <02fe3f4ea6251f7b2d23d855ce5c5fd2> /System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera
 0x1f43000 -  0x1f48fff  com.apple.DictionaryServiceComponent 1.1 (1.1) <8edc1180f52db18e9ddfb4e95debe61b> /System/Library/Components/DictionaryService.component/Contents/MacOS/DictionaryService
 0xe574000 -  0xe579ff3  libCGXCoreImage.A.dylib ??? (???) <375e0cdb64b043378dbf637992bbfeb0> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGXCoreImage.A.dylib
0x10843000 - 0x108b0fff +com.DivXInc.DivXDecoder 6.6.0 (6.6.0) /Library/QuickTime/DivX Decoder.component/Contents/MacOS/DivX Decoder
0x1094c000 - 0x1094ffff  com.apple.audio.AudioIPCPlugIn 1.0.5 (1.0.5) <e7424df9b53076d04045fb2e0132b2d0> /System/Library/Extensions/AudioIPCDriver.kext/Contents/Resources/AudioIPCPlugIn.bundle/Contents/MacOS/AudioIPCPlugIn
0x10955000 - 0x1095afff  com.apple.audio.AppleHDAHALPlugIn 1.6.2 (1.6.2a37) /System/Library/Extensions/AppleHDA.kext/Contents/PlugIns/AppleHDAHALPlugIn.bundle/Contents/MacOS/AppleHDAHALPlugIn
0x11e01000 - 0x11e85fff  com.apple.xquery 1.3 (27) /System/Library/PrivateFrameworks/XQuery.framework/XQuery
0x70000000 - 0x700e6ff2  com.apple.audio.units.Components 1.5.2 (1.5.2) /System/Library/Components/CoreAudio.component/Contents/MacOS/CoreAudio
0x8fe00000 - 0x8fe2db43  dyld 97.1 (???) <100d362e03410f181a34e04e94189ae5> /usr/lib/dyld
0x9024e000 - 0x90255fe9  libgcc_s.1.dylib ??? (???) <f53c808e87d1184c0f9df63aef53ce0b> /usr/lib/libgcc_s.1.dylib
0x90256000 - 0x90389fff  com.apple.CoreFoundation 6.5.5 (476.17) <4a70c8dbb582118e31412c53dc1f407f> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x90442000 - 0x9044afff  com.apple.DiskArbitration 2.2.1 (2.2.1) <75b0c8d8940a8a27816961dddcac8e0f> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x9044b000 - 0x9044bffb  com.apple.installserver.framework 1.0 (8) /System/Library/PrivateFrameworks/InstallServer.framework/Versions/A/InstallServer
0x9044c000 - 0x9044cff8  com.apple.ApplicationServices 34 (34) <8f910fa65f01d401ad8d04cc933cf887> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x9044d000 - 0x9044ffff  com.apple.securityhi 3.0 (30817) <2b2854123fed609d1820d2779e2e0963> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x90450000 - 0x905b7ff3  libSystem.B.dylib ??? (???) <d68880dfb1f8becdbdac6928db1510fb> /usr/lib/libSystem.B.dylib
0x905b8000 - 0x9070aff3  com.apple.audio.toolbox.AudioToolbox 1.5.2 (1.5.2) /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x9070c000 - 0x90acafea  libLAPACK.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x90bdd000 - 0x90c39ff7  com.apple.htmlrendering 68 (1.1.3) <fe87a9dede38db00e6c8949942c6bd4f> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x90c3a000 - 0x90c41fff  com.apple.agl 3.0.9 (AGL-3.0.9) <2f39c480cfcee9358a23d61b20a6aa56> /System/Library/Frameworks/AGL.framework/Versions/A/AGL
0x90c42000 - 0x90c93ff7  com.apple.HIServices 1.7.0 (???) <01b690d1f376e400ac873105533e39eb> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x91554000 - 0x91561fe7  com.apple.opengl 1.5.9 (1.5.9) <7e5048a2677b41098c84045305f42f7f> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x91639000 - 0x9163dfff  libmathCommon.A.dylib ??? (???) /usr/lib/system/libmathCommon.A.dylib
0x9167b000 - 0x9170efff  com.apple.ink.framework 101.3 (86) <bf3fa8927b4b8baae92381a976fd2079> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x9170f000 - 0x91718fff  com.apple.speech.recognition.framework 3.7.24 (3.7.24) <d3180f9edbd9a5e6f283d6156aa3c602> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x91719000 - 0x91734ffb  libPng.dylib ??? (???) <4780e979d35aa5ec2cea22678836cea5> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x91735000 - 0x9175dfff  libcups.2.dylib ??? (???) <16bec7c6a004f744804e2281a1b1c094> /usr/lib/libcups.2.dylib
0x9175e000 - 0x9179cff7  libGLImage.dylib ??? (???) <1123b8a48bcbe9cc7aa8dd8e1a214a66> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x9179d000 - 0x917a0fff  com.apple.help 1.1 (36) <b507b08e484cb89033e9cf23062d77de> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x917a1000 - 0x91c72f3e  libGLProgrammability.dylib ??? (???) <5d283543ac844e7c6fa3440ac56cd265> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib
0x91c73000 - 0x91caafff  com.apple.SystemConfiguration 1.9.2 (1.9.2) <8b26ebf26a009a098484f1ed01ec499c> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x91cab000 - 0x91d76fff  com.apple.ColorSync 4.5.1 (4.5.1) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x91de6000 - 0x91df6fff  com.apple.speech.synthesis.framework 3.7.1 (3.7.1) <06d8fc0307314f8ffc16f206ad3dbf44> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x91df7000 - 0x91dfeffe  libbsm.dylib ??? (???) <d25c63378a5029648ffd4b4669be31bf> /usr/lib/libbsm.dylib
0x91e2b000 - 0x91e43fff  com.apple.openscripting 1.2.8 (???) <572c7452d7e740e8948a5ad07a99602b> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x91e44000 - 0x91e59ffb  com.apple.ImageCapture 5.0.1 (5.0.1) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x91e5a000 - 0x91f14fe3  com.apple.CoreServices.OSServices 226.5 (226.5) <2a135d4fb16f4954290f7b72b4111aa3> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x91f15000 - 0x91f92fef  libvMisc.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x91f93000 - 0x91f99fff  com.apple.print.framework.Print 218.0.2 (220.1) <8bf7ef71216376d12fcd5ec17e43742c> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x91f9a000 - 0x91fa6ff9  com.apple.helpdata 1.0.1 (14.2) /System/Library/PrivateFrameworks/HelpData.framework/Versions/A/HelpData
0x91fa7000 - 0x91fa7ffd  com.apple.vecLib 3.4.2 (vecLib 3.4.2) /System/Library/Frameworks/vecLib.framework/Versions/A/vecLib
0x91fa8000 - 0x92002ff7  com.apple.CoreText 2.0.4 (???) <f9a90116ae34a2b0d84e87734766fb3a> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
0x92003000 - 0x92008fff  com.apple.CommonPanels 1.2.4 (85) <ea0665f57cd267609466ed8b2b20e893> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x9200c000 - 0x9208bff5  com.apple.SearchKit 1.2.1 (1.2.1) <3140a605db2abf56b237fa156a08b28b> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x920d1000 - 0x9212aff7  libGLU.dylib ??? (???) /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x92148000 - 0x921c5feb  com.apple.audio.CoreAudio 3.1.1 (3.1.1) <f35477a5e23db0fa43233c37da01ae1c> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x9232d000 - 0x923b7fe3  com.apple.DesktopServices 1.4.7 (1.4.7) <d16642ba22c32f67be793ebfbe67ca3a> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x923b8000 - 0x92692ff3  com.apple.CoreServices.CarbonCore 786.11 (786.11) <f06fe5d92d56ac5aa52d1ba182745924> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x92693000 - 0x926b2ffa  libJPEG.dylib ??? (???) <e7eb56555109e23144924cd64aa8daec> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x926b3000 - 0x9272dff8  com.apple.print.framework.PrintCore 5.5.3 (245.3) <222dade7b33b99708b8c09d1303f93fc> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x92761000 - 0x927aafef  com.apple.Metadata 10.5.2 (398.25) <e0572f20350523116f23000676122a8d> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x927ab000 - 0x927b5feb  com.apple.audio.SoundManager 3.9.2 (3.9.2) <0f2ba6e891d3761212cf5a5e6134d683> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x927b6000 - 0x927b6ff8  com.apple.Cocoa 6.5 (???) <e064f94d969ce25cb7de3cfb980c3249> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
0x927b7000 - 0x92937fef  com.apple.CoreAUC 3.02.0 (3.02.0) <e9c0220542fac5c62ef3b79aa791252f> /System/Library/PrivateFrameworks/CoreAUC.framework/Versions/A/CoreAUC
0x92938000 - 0x92948ffc  com.apple.LangAnalysis 1.6.4 (1.6.4) <8b7831b5f74a950a56cf2d22a2d436f6> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x92949000 - 0x929fbffb  libcrypto.0.9.7.dylib ??? (???) <69bc2457aa23f12fa7d052601d48fa29> /usr/lib/libcrypto.0.9.7.dylib
0x929fc000 - 0x92aacfff  edu.mit.Kerberos 6.0.12 (6.0.12) <685cc018c133668d0d3ac6a1cb63cff9> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
0x92ba2000 - 0x92c69ff2  com.apple.vImage 3.0 (3.0) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x92c6a000 - 0x92d0dff3  com.apple.QuickTimeImporters.component 7.6 (1290) /System/Library/QuickTime/QuickTimeImporters.component/Contents/MacOS/QuickTimeImporters
0x92d0e000 - 0x92dabfe4  com.apple.CFNetwork 422.15.2 (422.15.2) <80851410a5592b7c3b149b2ff849bcc1> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x92dac000 - 0x92e91ff3  com.apple.CoreData 100.1 (186) <8e28162ef2288692615b52acc01f8b54> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
0x92ea2000 - 0x92eadfe7  libCSync.A.dylib ??? (???) <e6aceed359bd228f42bc1246af5919c9> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
0x92eb3000 - 0x92ebfffe  libGL.dylib ??? (???) /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x92fdd000 - 0x933edfef  libBLAS.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x933ee000 - 0x93412fff  libxslt.1.dylib ??? (???) <0a9778d6368ae668826f446878deb99b> /usr/lib/libxslt.1.dylib
0x93494000 - 0x93662ff3  com.apple.security 5.0.4 (34102) <55dda7486df4e8e1d61505be16f83a1c> /System/Library/Frameworks/Security.framework/Versions/A/Security
0x93663000 - 0x93664ffc  libffi.dylib ??? (???) <a3b573eb950ca583290f7b2b4c486d09> /usr/lib/libffi.dylib
0x93665000 - 0x936b4fff  com.apple.QuickLookUIFramework 1.3.1 (170.9) /System/Library/PrivateFrameworks/QuickLookUI.framework/Versions/A/QuickLookUI
0x936bb000 - 0x94696ff6  com.apple.QuickTimeComponents.component 7.6 (1290) /System/Library/QuickTime/QuickTimeComponents.component/Contents/MacOS/QuickTimeComponents
0x94697000 - 0x946f4ffb  libstdc++.6.dylib ??? (???) <04b812dcec670daa8b7d2852ab14be60> /usr/lib/libstdc++.6.dylib
0x946f5000 - 0x9471dff7  com.apple.shortcut 1 (1.0) <057783867138902b52bc0941fedb74d1> /System/Library/PrivateFrameworks/Shortcut.framework/Versions/A/Shortcut
0x9471e000 - 0x94760fef  com.apple.NavigationServices 3.5.2 (163) <91844980804067b07a0b6124310d3f31> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x94761000 - 0x9478efeb  libvDSP.dylib ??? (???) <b232c018ddd040ec4e2c2af632dd497f> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x94799000 - 0x9482cff3  com.apple.ApplicationServices.ATS 3.4 (???) <8c51de0ec3deaef416578cd59df38754> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x9482d000 - 0x94867fe7  com.apple.coreui 1.2 (62) /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
0x94868000 - 0x948f3fff  com.apple.framework.IOKit 1.5.1 (???) <f9f5f0d070e197a832d86751e1d44545> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x94939000 - 0x94a7fff7  com.apple.ImageIO.framework 2.0.4 (2.0.4) <6a6623d3d1a7292b5c3763dcd108b55f> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x94a80000 - 0x94b0cff7  com.apple.LaunchServices 290.3 (290.3) <6f9629f4ed1ba3bb313548e6838b2888> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x94b0d000 - 0x94b0fff5  libRadiance.dylib ??? (???) <8a844202fcd65662bb9ab25f08c45a62> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x94b10000 - 0x9530efef  com.apple.AppKit 6.5.6 (949.43) <a3a300499bbe4f1dfebf71d752d01916> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x95382000 - 0x9539fff7  com.apple.QuickLookFramework 1.3.1 (170.9) /System/Library/Frameworks/QuickLook.framework/Versions/A/QuickLook
0x953a3000 - 0x95a43fff  com.apple.CoreGraphics 1.407.2 (???) <3a91d1037afde01d1d8acdf9cd1caa14> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x95a44000 - 0x95b24fff  libobjc.A.dylib ??? (???) <7b92613fdf804fd9a0a3733a0674c30b> /usr/lib/libobjc.A.dylib
0x95b25000 - 0x95b29fff  libGIF.dylib ??? (???) <572a32e46e33be1ec041c5ef5b0341ae> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x95b2a000 - 0x95b48fff  libresolv.9.dylib ??? (???) <a8018c42930596593ddf27f7c20fe7af> /usr/lib/libresolv.9.dylib
0x95b98000 - 0x95bb0ff7  com.apple.CoreVideo 1.6.0 (20.0) <c0d869876af51283a160cd2224a23abf> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
0x95bb1000 - 0x95bc7fff  com.apple.DictionaryServices 1.0.0 (1.0.0) <ad0aa0252e3323d182e17f50defe56fc> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
0x95bc8000 - 0x95bcfff7  libCGATS.A.dylib ??? (???) <386dce4b28448fb86e33e06ac466f4d8> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib
0x95bd0000 - 0x95bd0ffa  com.apple.CoreServices 32 (32) <2fcc8f3bd5bbfc000b476cad8e6a3dd2> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x95bd1000 - 0x95bd1ffd  com.apple.Accelerate 1.4.2 (Accelerate 1.4.2) /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x95bd2000 - 0x95be0ffd  libz.1.dylib ??? (???) <5ddd8539ae2ebfd8e7cc1c57525385c7> /usr/lib/libz.1.dylib
0x95e4a000 - 0x9616ffe2  com.apple.QuickTime 7.6.0 (1290) <bc0920abbbaad03f5513ac7ffbd30633> /System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime
0x96170000 - 0x96170ffd  com.apple.Accelerate.vecLib 3.4.2 (vecLib 3.4.2) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x96365000 - 0x96365ffc  com.apple.audio.units.AudioUnit 1.5 (1.5) /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x96385000 - 0x964bdff7  libicucore.A.dylib ??? (???) <18098dcf431603fe47ee027a60006c85> /usr/lib/libicucore.A.dylib
0x96525000 - 0x965acff7  libsqlite3.0.dylib ??? (???) <6978bbcca4277d6ae9f042beff643f7d> /usr/lib/libsqlite3.0.dylib
0x965ff000 - 0x966a6feb  com.apple.QD 3.11.54 (???) <b743398c24c38e581a86e91744a2ba6e> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x966f2000 - 0x96721fe3  com.apple.AE 402.3 (402.3) <4cb9ef65cf116d6dd424f0ce98c2d015> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x96722000 - 0x96722fff  com.apple.Carbon 136 (136) <98a5e3bc0c4fa44bbb09713bb88707fe> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x96723000 - 0x9674efe7  libauto.dylib ??? (???) <42d8422dc23a18071869fdf7b5d8fab5> /usr/lib/libauto.dylib
0x9674f000 - 0x9678efef  libTIFF.dylib ??? (???) <3589442575ac77746ae99ecf724f5f87> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x9678f000 - 0x96a97fff  com.apple.HIToolbox 1.5.4 (???) <3747086ba21ee419708a5cab946c8ba6> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x96bd1000 - 0x96e4cfe7  com.apple.Foundation 6.5.7 (677.22) <8fe77b5d15ecdae1240b4cb604fc6d0b> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x96e5d000 - 0x96e9efe7  libRIP.A.dylib ??? (???) <5d0b5af7992e14de017f9a9c7cb05960> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
0x96ea0000 - 0x9723dfef  com.apple.QuartzCore 1.5.7 (1.5.7) <2fed2dd7565c84a0f0c608d41d4d172c> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x9723e000 - 0x97262feb  libssl.0.9.7.dylib ??? (???) <c7359b7ab32b5f8574520746e10a41cc> /usr/lib/libssl.0.9.7.dylib
0xba900000 - 0xba916fff  libJapaneseConverter.dylib ??? (???) <7b0248c392848338f5d6ed093313eeef> /System/Library/CoreServices/Encodings/libJapaneseConverter.dylib
0xc0000000 - 0xc0008fff +com.growl.growlframework 1.1.3 (1.1.3) <a73dcf41c5c7d4b27d69b25dbdfd2fde> /Users/mitchell/Desktop/Transmission/build/Debug/Transmission.app/Contents/Frameworks/Growl.framework/Versions/A/Growl
0xfffe8000 - 0xfffebfff  libobjc.A.dylib ??? (???) /usr/lib/libobjc.A.dylib
0xffff0000 - 0xffff1780  libSystem.B.dylib ??? (???) /usr/lib/libSystem.B.dylib

comment:4 Changed 13 years ago by charles

The odd thing is that this piece of the code doesn't seem to have anything to do with the stop ratio. Is this crash repeatable for you? If so, could you describe the steps that I would need to go through to make it happen for me too?

comment:5 Changed 13 years ago by charles

Also, you say "since changeset r8014" ... could you please download some of the earlier nightlies and try to track down exactly when this crash started occurring?

comment:6 Changed 13 years ago by livings124

What I'm thinking is this crash happens when the torrent changes from downloading to seeding and the stop ratio is already met.

comment:7 Changed 13 years ago by charles

  • Milestone None Set deleted
  • Status changed from new to assigned

@livings124: That sounds right. It's crashing on evbuffer_drain(), which is the input buffer for that peer. The line right above it is a call to clientGotBlock(), which with the new ratio code can now cause the torrent to be stopped...

comment:8 Changed 13 years ago by livings124

  • Summary changed from Transmission crashes when stop seeding ratio set to 0 to Crash when download finishes and seed ratio is already met

comment:9 Changed 13 years ago by Rolcol

This sounds like the crash I got.

http://transmission.pastebin.com/m4461b74b

comment:10 Changed 13 years ago by peelman

  • Cc nick@… added

I have been having the same issue. My seed ratio was set to 0.30, every time a torrent would finish and immediately stop seeding it would crash. When i started seeing it I went through the changesets to see if i could spot something obvious and could not. I've bumped the ratio to 0.60 and i am still having the issue, as soon as the download finishes and it immediately tries to go to complete, it crashes. I've bumped the ratio to 1.0 and i have one more torrent that will finish later today. I'll post back later today if I get another crash and I'll attach a report if so.

Changed 13 years ago by esetleges

Changed 13 years ago by dak180

A zip of five crash logs.

comment:11 follow-up: Changed 13 years ago by charles

r8116 *might* fix this. I think it does, but I'll wait to hear back from the people actually experiencing the crash... ;)

comment:12 Changed 13 years ago by Rolcol

I can test this by corrupting a piece of a torrent and having it to get it again. I'll report back with my results.

comment:13 Changed 13 years ago by Rolcol

Nope... The torrent also seemed to continue after displaying 100%.

http://transmission.pastebin.com/m51645ff5

comment:14 Changed 13 years ago by bollywood

it still happens for me on r8116.... Mac OSX 10.5.6 MacBook? Pro 2.4GHz

comment:15 follow-up: Changed 13 years ago by bollywood

Heres my crash log from r8116:

Process:         Transmission [2550]
Path:            /Applications/Transmission.app/Contents/MacOS/Transmission
Identifier:      org.m0k.transmission
Version:         1.51+ (8116)
Code Type:       X86 (Native)
Parent Process:  launchd [139]

Date/Time:       2009-03-30 18:30:29.411 +1100
OS Version:      Mac OS X 10.5.6 (9G55)
Report Version:  6

Exception Type:  EXC_BAD_ACCESS (SIGBUS)
Exception Codes: KERN_PROTECTION_FAILURE at 0x000000000000000f
Crashed Thread:  1

Thread 0:
0   libSystem.B.dylib             	0x9341020e semaphore_wait_signal_trap + 10
1   libSystem.B.dylib             	0x93417ce5 pthread_mutex_lock + 569
2   org.m0k.transmission          	0x0006b0d0 tr_lockLock + 32
3   org.m0k.transmission          	0x000687df tr_torrentStat + 118
4   org.m0k.transmission          	0x00027f82 -[Torrent(Private) completenessChange:] + 26
5   com.apple.Foundation          	0x9046739c __NSThreadPerformPerform + 476
6   com.apple.CoreFoundation      	0x9306d5f5 CFRunLoopRunSpecific + 3141
7   com.apple.CoreFoundation      	0x9306dcd8 CFRunLoopRunInMode + 88
8   com.apple.HIToolbox           	0x90f802c0 RunCurrentEventLoopInMode + 283
9   com.apple.HIToolbox           	0x90f800d9 ReceiveNextEventCommon + 374
10  com.apple.HIToolbox           	0x90f7ff4d BlockUntilNextEventMatchingListInMode + 106
11  com.apple.AppKit              	0x92409d7d _DPSNextEvent + 657
12  com.apple.AppKit              	0x92409630 -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 128
13  com.apple.AppKit              	0x9240266b -[NSApplication run] + 795
14  com.apple.AppKit              	0x923cf8a4 NSApplicationMain + 574
15  org.m0k.transmission          	0x00002e65 main + 143
16  org.m0k.transmission          	0x00002daa start + 54

Thread 1 Crashed:
0   org.m0k.transmission          	0x0008cbd0 canRead + 2653
1   org.m0k.transmission          	0x0008020c canReadWrapper + 247
2   org.m0k.transmission          	0x0009a0c0 event_base_loop + 1209
3   org.m0k.transmission          	0x0009a4dc event_dispatch + 35
4   org.m0k.transmission          	0x0007a0cc libeventThreadFunc + 191
5   libSystem.B.dylib             	0x93441095 _pthread_start + 321
6   libSystem.B.dylib             	0x93440f52 thread_start + 34

Thread 2:
0   libSystem.B.dylib             	0x93440906 kevent + 10
1   com.apple.Foundation          	0x904667ed -[NSThread main] + 45
2   com.apple.Foundation          	0x90466394 __NSThread__main__ + 308
3   libSystem.B.dylib             	0x93441095 _pthread_start + 321
4   libSystem.B.dylib             	0x93440f52 thread_start + 34

Thread 3:
0   libSystem.B.dylib             	0x934173ae __semwait_signal + 10
1   libSystem.B.dylib             	0x93441d0d pthread_cond_wait$UNIX2003 + 73
2   com.apple.QuartzCore          	0x92d50ab9 fe_fragment_thread + 54
3   libSystem.B.dylib             	0x93441095 _pthread_start + 321
4   libSystem.B.dylib             	0x93440f52 thread_start + 34

Thread 4:
0   libSystem.B.dylib             	0x934101c6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x934179bc mach_msg + 72
2   com.apple.CoreFoundation      	0x9306d0ae CFRunLoopRunSpecific + 1790
3   com.apple.CoreFoundation      	0x9306dcd8 CFRunLoopRunInMode + 88
4   com.apple.Foundation          	0x904c9d40 +[NSURLConnection(NSURLConnectionReallyInternal) _resourceLoadLoop:] + 320
5   com.apple.Foundation          	0x904667ed -[NSThread main] + 45
6   com.apple.Foundation          	0x90466394 __NSThread__main__ + 308
7   libSystem.B.dylib             	0x93441095 _pthread_start + 321
8   libSystem.B.dylib             	0x93440f52 thread_start + 34

Thread 5:
0   libSystem.B.dylib             	0x9345f6f2 select$DARWIN_EXTSN + 10
1   libSystem.B.dylib             	0x93441095 _pthread_start + 321
2   libSystem.B.dylib             	0x93440f52 thread_start + 34

Thread 6:
0   libSystem.B.dylib             	0x934101c6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x934179bc mach_msg + 72
2   com.apple.CoreFoundation      	0x9306d0ae CFRunLoopRunSpecific + 1790
3   com.apple.CoreFoundation      	0x9306dcd8 CFRunLoopRunInMode + 88
4   com.apple.audio.CoreAudio     	0x94bed5dc HALRunLoop::OwnThread(void*) + 160
5   com.apple.audio.CoreAudio     	0x94bed464 CAPThread::Entry(CAPThread*) + 96
6   libSystem.B.dylib             	0x93441095 _pthread_start + 321
7   libSystem.B.dylib             	0x93440f52 thread_start + 34

Thread 7:
0   libSystem.B.dylib             	0x934101c6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x934179bc mach_msg + 72
2   com.apple.CoreFoundation      	0x9306d0ae CFRunLoopRunSpecific + 1790
3   com.apple.CoreFoundation      	0x9306dcd8 CFRunLoopRunInMode + 88
4   com.apple.CFNetwork           	0x94da6ebe CFURLCacheWorkerThread(void*) + 396
5   libSystem.B.dylib             	0x93441095 _pthread_start + 321
6   libSystem.B.dylib             	0x93440f52 thread_start + 34

Thread 8:
0   libSystem.B.dylib             	0x93410226 semaphore_timedwait_signal_trap + 10
1   libSystem.B.dylib             	0x934421ef _pthread_cond_wait + 1244
2   libSystem.B.dylib             	0x93443a73 pthread_cond_timedwait_relative_np + 47
3   com.apple.Foundation          	0x904ac75c -[NSCondition waitUntilDate:] + 236
4   com.apple.Foundation          	0x904ac570 -[NSConditionLock lockWhenCondition:beforeDate:] + 144
5   com.apple.Foundation          	0x904ac4d5 -[NSConditionLock lockWhenCondition:] + 69
6   com.apple.AppKit              	0x9246fd90 -[NSUIHeartBeat _heartBeatThread:] + 753
7   com.apple.Foundation          	0x904667ed -[NSThread main] + 45
8   com.apple.Foundation          	0x90466394 __NSThread__main__ + 308
9   libSystem.B.dylib             	0x93441095 _pthread_start + 321
10  libSystem.B.dylib             	0x93440f52 thread_start + 34

Thread 1 crashed with X86 Thread State (32-bit):
  eax: 0x00000000  ebx: 0x0008c184  ecx: 0x4d555458  edx: 0xffffffff
  edi: 0x16dae410  esi: 0x00004000  ebp: 0xb00bbe38  esp: 0xb00ba190
   ss: 0x0000001f  efl: 0x00010286  eip: 0x0008cbd0   cs: 0x00000017
   ds: 0x0000001f   es: 0x0000001f   fs: 0x0000001f   gs: 0x00000037
  cr2: 0x0000000f

Binary Images:
    0x1000 -    0xbdfff +org.m0k.transmission 1.51+ (8116) <ebfdc2884d6442fa8ee75f622633dd4c> /Applications/Transmission.app/Contents/MacOS/Transmission
  0x11d000 -   0x131fff +org.andymatuschak.Sparkle 1.5 Beta (bzr) (337) <ff8e2800bd64f6cec68510d6a13a5da6> /Applications/Transmission.app/Contents/Frameworks/Sparkle.framework/Versions/A/Sparkle
  0x13f000 -   0x16affb  libcurl.4.dylib ??? (???) <54ada27deb3b4ff7043d8836264eca0d> /usr/lib/libcurl.4.dylib
  0x191000 -   0x196ffc +com.sweetpproductions.SafariCookies 0.1 (0.1) <745b16d18447465e922913f6699e759f> /Library/InputManagers/Safari Cookies/Safari Cookies.bundle/Contents/MacOS/Safari Cookies
  0x1a3000 -   0x1a4ffd +com.machangout.Glims ??? (1.0) <b9dc8c61a024274aff2dc01aa9a92d4c> /Library/InputManagers/Glims/Glims.bundle/Contents/MacOS/Glims
  0x1a9000 -   0x1a9ffe +net.sourceforge.SafariAdBlockLoader 0.4.0 RC1 (0.4.0 RC1) <9b6f1a9172a51298b9e1e593baf80be6> /Library/InputManagers/Safari AdBlock/Safari AdBlock Loader.bundle/Contents/MacOS/Safari AdBlock Loader
  0x4d3000 -   0x6cbfff  com.apple.RawCamera.bundle 2.0.13 (435) <083354ccec68bf7c9fc99523a5838f92> /System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera
0x142d0000 - 0x142d5ff3  libCGXCoreImage.A.dylib ??? (???) <375e0cdb64b043378dbf637992bbfeb0> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGXCoreImage.A.dylib
0x16c3d000 - 0x16c40fff  com.apple.audio.AudioIPCPlugIn 1.0.5 (1.0.5) <e7424df9b53076d04045fb2e0132b2d0> /System/Library/Extensions/AudioIPCDriver.kext/Contents/Resources/AudioIPCPlugIn.bundle/Contents/MacOS/AudioIPCPlugIn
0x16c46000 - 0x16c4bfff  com.apple.audio.AppleHDAHALPlugIn 1.6.2 (1.6.2a37) /System/Library/Extensions/AppleHDA.kext/Contents/PlugIns/AppleHDAHALPlugIn.bundle/Contents/MacOS/AppleHDAHALPlugIn
0x16cf6000 - 0x16cf9fff  com.apple.LiveType.component 2.1.3 (2.1.3) /Library/QuickTime/LiveType.component/Contents/MacOS/LiveType
0x17302000 - 0x17367fde  com.apple.LiveType.framework 2.1.3 (2.1.3) /System/Library/PrivateFrameworks/LiveType.framework/Versions/A/LiveType
0x17387000 - 0x173cdfc3  com.apple.motion.component 1.0 (1.0) <77973a134e79426f853f2318e52a2207> /Library/QuickTime/Motion.component/Contents/MacOS/Motion
0x173d3000 - 0x173d602f +Motion ??? (???) <b5e862eee0ff4f86a78998e3e601a18c> /Library/Frameworks/Motion.framework/Versions/A/Motion
0x173db000 - 0x175b7ff6 +com.elgato.mpegsupport EyeTV MPEG Support 1.1.0 (build 48) (1.0.9) /Library/QuickTime/EyeTV MPEG Support.component/Contents/MacOS/EyeTV MPEG Support
0x70000000 - 0x700e6ff2  com.apple.audio.units.Components 1.5.2 (1.5.2) /System/Library/Components/CoreAudio.component/Contents/MacOS/CoreAudio
0x8fe00000 - 0x8fe2db43  dyld 97.1 (???) <100d362e03410f181a34e04e94189ae5> /usr/lib/dyld
0x9001b000 - 0x90046fe7  libauto.dylib ??? (???) <42d8422dc23a18071869fdf7b5d8fab5> /usr/lib/libauto.dylib
0x90047000 - 0x901acfe7  com.apple.JavaScriptCore 5528 (5528.15) <a1edf2b00622f9d833987cb333b432ac> /System/Library/Frameworks/JavaScriptCore.framework/Versions/A/JavaScriptCore
0x90265000 - 0x90275fff  com.apple.speech.synthesis.framework 3.7.1 (3.7.1) <5171726062da2bd3c6b8b58486c7777a> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x9045c000 - 0x906d7fe7  com.apple.Foundation 6.5.7 (677.22) <8fe77b5d15ecdae1240b4cb604fc6d0b> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x907a6000 - 0x90839ff3  com.apple.ApplicationServices.ATS 3.4 (???) <8c51de0ec3deaef416578cd59df38754> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x9083a000 - 0x90841fe9  libgcc_s.1.dylib ??? (???) <f53c808e87d1184c0f9df63aef53ce0b> /usr/lib/libgcc_s.1.dylib
0x90842000 - 0x90d13f3e  libGLProgrammability.dylib ??? (???) <5d283543ac844e7c6fa3440ac56cd265> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib
0x90d14000 - 0x90d18fff  libGIF.dylib ??? (???) <572a32e46e33be1ec041c5ef5b0341ae> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x90d19000 - 0x90dedfef  com.apple.WebKit 5528 (5528.16) <24ccae21ccfe5c21c2a78656983324c1> /System/Library/Frameworks/WebKit.framework/Versions/A/WebKit
0x90dee000 - 0x90e2cff7  libGLImage.dylib ??? (???) <1123b8a48bcbe9cc7aa8dd8e1a214a66> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x90e7c000 - 0x90e94fff  com.apple.openscripting 1.2.8 (???) <572c7452d7e740e8948a5ad07a99602b> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x90e95000 - 0x90f4ffe3  com.apple.CoreServices.OSServices 226.5 (226.5) <25243fd02dc5d4f4cc5780f6b2f6fe26> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x90f50000 - 0x91258fff  com.apple.HIToolbox 1.5.4 (???) <3747086ba21ee419708a5cab946c8ba6> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x913d7000 - 0x91404feb  libvDSP.dylib ??? (???) <b232c018ddd040ec4e2c2af632dd497f> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x91405000 - 0x91411ffe  libGL.dylib ??? (???) /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x91412000 - 0x91453fe7  libRIP.A.dylib ??? (???) <5d0b5af7992e14de017f9a9c7cb05960> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
0x91454000 - 0x914aeff7  com.apple.CoreText 2.0.4 (???) <f9a90116ae34a2b0d84e87734766fb3a> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
0x914af000 - 0x914fefff  com.apple.QuickLookUIFramework 1.3.1 (170.9) /System/Library/PrivateFrameworks/QuickLookUI.framework/Versions/A/QuickLookUI
0x916bc000 - 0x91736ff8  com.apple.print.framework.PrintCore 5.5.3 (245.3) <222dade7b33b99708b8c09d1303f93fc> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x91737000 - 0x917b6ff5  com.apple.SearchKit 1.2.1 (1.2.1) <3140a605db2abf56b237fa156a08b28b> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x917b7000 - 0x91985ff3  com.apple.security 5.0.4 (34102) <55dda7486df4e8e1d61505be16f83a1c> /System/Library/Frameworks/Security.framework/Versions/A/Security
0x919f4000 - 0x91a0cff7  com.apple.CoreVideo 1.6.0 (20.0) <c0d869876af51283a160cd2224a23abf> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
0x91aef000 - 0x91aefffb  com.apple.installserver.framework 1.0 (8) /System/Library/PrivateFrameworks/InstallServer.framework/Versions/A/InstallServer
0x91be5000 - 0x91c62fef  libvMisc.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x91d2d000 - 0x91e12ff3  com.apple.CoreData 100.1 (186) <8e28162ef2288692615b52acc01f8b54> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
0x91e13000 - 0x91e17fff  libmathCommon.A.dylib ??? (???) /usr/lib/system/libmathCommon.A.dylib
0x91e18000 - 0x91f5eff7  com.apple.ImageIO.framework 2.0.4 (2.0.4) <6a6623d3d1a7292b5c3763dcd108b55f> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x91f5f000 - 0x91f7dfff  libresolv.9.dylib ??? (???) <b5b1527c2d99495ad5d507ab0a4ea872> /usr/lib/libresolv.9.dylib
0x91f8e000 - 0x91fb2fff  libxslt.1.dylib ??? (???) <0a9778d6368ae668826f446878deb99b> /usr/lib/libxslt.1.dylib
0x91fb3000 - 0x9203efff  com.apple.framework.IOKit 1.5.1 (???) <f9f5f0d070e197a832d86751e1d44545> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x922a8000 - 0x922a8ff8  com.apple.ApplicationServices 34 (34) <8f910fa65f01d401ad8d04cc933cf887> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x922a9000 - 0x92330ff7  libsqlite3.0.dylib ??? (???) <6978bbcca4277d6ae9f042beff643f7d> /usr/lib/libsqlite3.0.dylib
0x92331000 - 0x9236bfe7  com.apple.coreui 1.2 (62) /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
0x9236c000 - 0x923c8ff7  com.apple.htmlrendering 68 (1.1.3) <fe87a9dede38db00e6c8949942c6bd4f> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x923c9000 - 0x92bc7fef  com.apple.AppKit 6.5.6 (949.43) <a3a300499bbe4f1dfebf71d752d01916> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x92bc8000 - 0x92bc8ff8  com.apple.Cocoa 6.5 (???) <e064f94d969ce25cb7de3cfb980c3249> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
0x92bc9000 - 0x92bd2fff  com.apple.speech.recognition.framework 3.7.24 (3.7.24) <d3180f9edbd9a5e6f283d6156aa3c602> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x92bd3000 - 0x92c2cff7  libGLU.dylib ??? (???) /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x92c2d000 - 0x92c55ff7  com.apple.shortcut 1 (1.0) <057783867138902b52bc0941fedb74d1> /System/Library/PrivateFrameworks/Shortcut.framework/Versions/A/Shortcut
0x92c5c000 - 0x92ff9fef  com.apple.QuartzCore 1.5.7 (1.5.7) <2fed2dd7565c84a0f0c608d41d4d172c> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x92ffa000 - 0x9312dfff  com.apple.CoreFoundation 6.5.5 (476.17) <4a70c8dbb582118e31412c53dc1f407f> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x9312e000 - 0x93133fff  com.apple.CommonPanels 1.2.4 (85) <ea0665f57cd267609466ed8b2b20e893> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x93134000 - 0x9340eff3  com.apple.CoreServices.CarbonCore 786.11 (786.11) <f06fe5d92d56ac5aa52d1ba182745924> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x9340f000 - 0x93576ff3  libSystem.B.dylib ??? (???) <d68880dfb1f8becdbdac6928db1510fb> /usr/lib/libSystem.B.dylib
0x93577000 - 0x93627fff  edu.mit.Kerberos 6.0.12 (6.0.12) <685cc018c133668d0d3ac6a1cb63cff9> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
0x93665000 - 0x93694fe3  com.apple.AE 402.3 (402.3) <4cb9ef65cf116d6dd424f0ce98c2d015> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x93695000 - 0x936d4fef  libTIFF.dylib ??? (???) <3589442575ac77746ae99ecf724f5f87> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x93704000 - 0x9371fffb  libPng.dylib ??? (???) <4780e979d35aa5ec2cea22678836cea5> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x93740000 - 0x93750ffc  com.apple.LangAnalysis 1.6.4 (1.6.4) <8b7831b5f74a950a56cf2d22a2d436f6> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x93751000 - 0x93a76fe2  com.apple.QuickTime 7.6.0 (1290) <bc0920abbbaad03f5513ac7ffbd30633> /System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime
0x93a77000 - 0x93bafff7  libicucore.A.dylib ??? (???) <18098dcf431603fe47ee027a60006c85> /usr/lib/libicucore.A.dylib
0x93bbb000 - 0x93bbefff  com.apple.help 1.1 (36) <b507b08e484cb89033e9cf23062d77de> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x93bcb000 - 0x93bcdff5  libRadiance.dylib ??? (???) <8a844202fcd65662bb9ab25f08c45a62> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x93bce000 - 0x93c17fef  com.apple.Metadata 10.5.2 (398.25) <e0572f20350523116f23000676122a8d> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x93c18000 - 0x93fd6fea  libLAPACK.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x93fd7000 - 0x94089ffb  libcrypto.0.9.7.dylib ??? (???) <69bc2457aa23f12fa7d052601d48fa29> /usr/lib/libcrypto.0.9.7.dylib
0x9408a000 - 0x94151ff2  com.apple.vImage 3.0 (3.0) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x94152000 - 0x94152ffd  com.apple.Accelerate.vecLib 3.4.2 (vecLib 3.4.2) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x94168000 - 0x94176ffd  libz.1.dylib ??? (???) <5ddd8539ae2ebfd8e7cc1c57525385c7> /usr/lib/libz.1.dylib
0x94177000 - 0x9419bfeb  libssl.0.9.7.dylib ??? (???) <c7359b7ab32b5f8574520746e10a41cc> /usr/lib/libssl.0.9.7.dylib
0x94352000 - 0x9435cfeb  com.apple.audio.SoundManager 3.9.2 (3.9.2) <0f2ba6e891d3761212cf5a5e6134d683> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x943a8000 - 0x943a8ffc  com.apple.audio.units.AudioUnit 1.5 (1.5) /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x943a9000 - 0x943a9ffd  com.apple.Accelerate 1.4.2 (Accelerate 1.4.2) /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x943aa000 - 0x943b7fe7  com.apple.opengl 1.5.9 (1.5.9) <7e5048a2677b41098c84045305f42f7f> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x943b8000 - 0x943effff  com.apple.SystemConfiguration 1.9.2 (1.9.2) <01426a38ba44efa5d448daef8b3e9941> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x943f0000 - 0x94418fff  libcups.2.dylib ??? (???) <81abd305142ad1b771024eb4a1309e2e> /usr/lib/libcups.2.dylib
0x94419000 - 0x94419ffa  com.apple.CoreServices 32 (32) <2fcc8f3bd5bbfc000b476cad8e6a3dd2> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x94455000 - 0x94455ffd  com.apple.vecLib 3.4.2 (vecLib 3.4.2) /System/Library/Frameworks/vecLib.framework/Versions/A/vecLib
0x94456000 - 0x94af6fff  com.apple.CoreGraphics 1.407.2 (???) <3a91d1037afde01d1d8acdf9cd1caa14> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x94af7000 - 0x94afeff7  libCGATS.A.dylib ??? (???) <386dce4b28448fb86e33e06ac466f4d8> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib
0x94aff000 - 0x94bcafff  com.apple.ColorSync 4.5.1 (4.5.1) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x94bd0000 - 0x94c4dfeb  com.apple.audio.CoreAudio 3.1.1 (3.1.1) <f35477a5e23db0fa43233c37da01ae1c> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x94c4e000 - 0x94c59fe7  libCSync.A.dylib ??? (???) <e6aceed359bd228f42bc1246af5919c9> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
0x94c5a000 - 0x94cabff7  com.apple.HIServices 1.7.0 (???) <01b690d1f376e400ac873105533e39eb> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x94cdc000 - 0x94cfbffa  libJPEG.dylib ??? (???) <e7eb56555109e23144924cd64aa8daec> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x94cfc000 - 0x94da3feb  com.apple.QD 3.11.54 (???) <b743398c24c38e581a86e91744a2ba6e> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x94da4000 - 0x94e41fe4  com.apple.CFNetwork 422.15.2 (422.15.2) <80851410a5592b7c3b149b2ff849bcc1> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x95e70000 - 0x95e72fff  com.apple.securityhi 3.0 (30817) <2b2854123fed609d1820d2779e2e0963> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x95e73000 - 0x95e7affe  libbsm.dylib ??? (???) <d25c63378a5029648ffd4b4669be31bf> /usr/lib/libbsm.dylib
0x95e7b000 - 0x95f07ff7  com.apple.LaunchServices 290.3 (290.3) <6f9629f4ed1ba3bb313548e6838b2888> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x95f08000 - 0x95f10fff  com.apple.DiskArbitration 2.2.1 (2.2.1) <75b0c8d8940a8a27816961dddcac8e0f> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x95f11000 - 0x95ff1fff  libobjc.A.dylib ??? (???) <7b92613fdf804fd9a0a3733a0674c30b> /usr/lib/libobjc.A.dylib
0x9603c000 - 0x96052fff  com.apple.DictionaryServices 1.0.0 (1.0.0) <ad0aa0252e3323d182e17f50defe56fc> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
0x960ba000 - 0x960d7ff7  com.apple.QuickLookFramework 1.3.1 (170.9) /System/Library/Frameworks/QuickLook.framework/Versions/A/QuickLook
0x960d8000 - 0x964e8fef  libBLAS.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x964e9000 - 0x964effff  com.apple.print.framework.Print 218.0.2 (220.1) <8bf7ef71216376d12fcd5ec17e43742c> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x964f0000 - 0x9654dffb  libstdc++.6.dylib ??? (???) <04b812dcec670daa8b7d2852ab14be60> /usr/lib/libstdc++.6.dylib
0x9654e000 - 0x965e1fff  com.apple.ink.framework 101.3 (86) <bf3fa8927b4b8baae92381a976fd2079> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x965e2000 - 0x965eeff9  com.apple.helpdata 1.0.1 (14.2) /System/Library/PrivateFrameworks/HelpData.framework/Versions/A/HelpData
0x965ef000 - 0x966d0ff7  libxml2.2.dylib ??? (???) <c65c902ca6afc1b4cf68b90cff921cc5> /usr/lib/libxml2.2.dylib
0x966d1000 - 0x96713fef  com.apple.NavigationServices 3.5.2 (163) <d3a7c9720479eed8ea35703125303871> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x96714000 - 0x96729ffb  com.apple.ImageCapture 5.0.1 (5.0.1) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x9682e000 - 0x968b8fef  com.apple.DesktopServices 1.4.7 (1.4.7) <7898a0f2a46fc7d8887b041bc23e3811> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x968b9000 - 0x968baffc  libffi.dylib ??? (???) <a3b573eb950ca583290f7b2b4c486d09> /usr/lib/libffi.dylib
0x968bb000 - 0x96a0dff3  com.apple.audio.toolbox.AudioToolbox 1.5.2 (1.5.2) /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x96a0e000 - 0x97298fff  com.apple.WebCore 5528 (5528.16) <7e28871fe2b59d98edd6e624d850ccb8> /System/Library/Frameworks/WebKit.framework/Versions/A/Frameworks/WebCore.framework/Versions/A/WebCore
0x97419000 - 0x97419fff  com.apple.Carbon 136 (136) <98a5e3bc0c4fa44bbb09713bb88707fe> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0xc0000000 - 0xc0008fff +com.growl.growlframework 1.1.3 (1.1.3) <a73dcf41c5c7d4b27d69b25dbdfd2fde> /Applications/Transmission.app/Contents/Frameworks/Growl.framework/Versions/A/Growl
0xfffe8000 - 0xfffebfff  libobjc.A.dylib ??? (???) /usr/lib/libobjc.A.dylib
0xffff0000 - 0xffff1780  libSystem.B.dylib ??? (???) /usr/lib/libSystem.B.dylib

 

comment:16 in reply to: ↑ 15 Changed 13 years ago by Rolcol

Replying to bollywood:

Heres my crash log from r8116:

Process:         Transmission [2550]
Path:            /Applications/Transmission.app/Contents/MacOS/Transmission
Identifier:      org.m0k.transmission
Version:         1.51+ (8116)
Code Type:       X86 (Native)
Parent Process:  launchd [139]

Date/Time:       2009-03-30 18:30:29.411 +1100
OS Version:      Mac OS X 10.5.6 (9G55)
Report Version:  6

Exception Type:  EXC_BAD_ACCESS (SIGBUS)
Exception Codes: KERN_PROTECTION_FAILURE at 0x000000000000000f
Crashed Thread:  1

Thread 0:
0   libSystem.B.dylib             	0x9341020e semaphore_wait_signal_trap + 10
1   libSystem.B.dylib             	0x93417ce5 pthread_mutex_lock + 569
2   org.m0k.transmission          	0x0006b0d0 tr_lockLock + 32
3   org.m0k.transmission          	0x000687df tr_torrentStat + 118
4   org.m0k.transmission          	0x00027f82 -[Torrent(Private) completenessChange:] + 26
5   com.apple.Foundation          	0x9046739c __NSThreadPerformPerform + 476
6   com.apple.CoreFoundation      	0x9306d5f5 CFRunLoopRunSpecific + 3141
7   com.apple.CoreFoundation      	0x9306dcd8 CFRunLoopRunInMode + 88
8   com.apple.HIToolbox           	0x90f802c0 RunCurrentEventLoopInMode + 283
9   com.apple.HIToolbox           	0x90f800d9 ReceiveNextEventCommon + 374
10  com.apple.HIToolbox           	0x90f7ff4d BlockUntilNextEventMatchingListInMode + 106
11  com.apple.AppKit              	0x92409d7d _DPSNextEvent + 657
12  com.apple.AppKit              	0x92409630 -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 128
13  com.apple.AppKit              	0x9240266b -[NSApplication run] + 795
14  com.apple.AppKit              	0x923cf8a4 NSApplicationMain + 574
15  org.m0k.transmission          	0x00002e65 main + 143
16  org.m0k.transmission          	0x00002daa start + 54

Thread 1 Crashed:
0   org.m0k.transmission          	0x0008cbd0 canRead + 2653
1   org.m0k.transmission          	0x0008020c canReadWrapper + 247
2   org.m0k.transmission          	0x0009a0c0 event_base_loop + 1209
3   org.m0k.transmission          	0x0009a4dc event_dispatch + 35
4   org.m0k.transmission          	0x0007a0cc libeventThreadFunc + 191
5   libSystem.B.dylib             	0x93441095 _pthread_start + 321
6   libSystem.B.dylib             	0x93440f52 thread_start + 34

Thread 2:
0   libSystem.B.dylib             	0x93440906 kevent + 10
1   com.apple.Foundation          	0x904667ed -[NSThread main] + 45
2   com.apple.Foundation          	0x90466394 __NSThread__main__ + 308
3   libSystem.B.dylib             	0x93441095 _pthread_start + 321
4   libSystem.B.dylib             	0x93440f52 thread_start + 34

Thread 3:
0   libSystem.B.dylib             	0x934173ae __semwait_signal + 10
1   libSystem.B.dylib             	0x93441d0d pthread_cond_wait$UNIX2003 + 73
2   com.apple.QuartzCore          	0x92d50ab9 fe_fragment_thread + 54
3   libSystem.B.dylib             	0x93441095 _pthread_start + 321
4   libSystem.B.dylib             	0x93440f52 thread_start + 34

Thread 4:
0   libSystem.B.dylib             	0x934101c6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x934179bc mach_msg + 72
2   com.apple.CoreFoundation      	0x9306d0ae CFRunLoopRunSpecific + 1790
3   com.apple.CoreFoundation      	0x9306dcd8 CFRunLoopRunInMode + 88
4   com.apple.Foundation          	0x904c9d40 +[NSURLConnection(NSURLConnectionReallyInternal) _resourceLoadLoop:] + 320
5   com.apple.Foundation          	0x904667ed -[NSThread main] + 45
6   com.apple.Foundation          	0x90466394 __NSThread__main__ + 308
7   libSystem.B.dylib             	0x93441095 _pthread_start + 321
8   libSystem.B.dylib             	0x93440f52 thread_start + 34

Thread 5:
0   libSystem.B.dylib             	0x9345f6f2 select$DARWIN_EXTSN + 10
1   libSystem.B.dylib             	0x93441095 _pthread_start + 321
2   libSystem.B.dylib             	0x93440f52 thread_start + 34

Thread 6:
0   libSystem.B.dylib             	0x934101c6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x934179bc mach_msg + 72
2   com.apple.CoreFoundation      	0x9306d0ae CFRunLoopRunSpecific + 1790
3   com.apple.CoreFoundation      	0x9306dcd8 CFRunLoopRunInMode + 88
4   com.apple.audio.CoreAudio     	0x94bed5dc HALRunLoop::OwnThread(void*) + 160
5   com.apple.audio.CoreAudio     	0x94bed464 CAPThread::Entry(CAPThread*) + 96
6   libSystem.B.dylib             	0x93441095 _pthread_start + 321
7   libSystem.B.dylib             	0x93440f52 thread_start + 34

Thread 7:
0   libSystem.B.dylib             	0x934101c6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x934179bc mach_msg + 72
2   com.apple.CoreFoundation      	0x9306d0ae CFRunLoopRunSpecific + 1790
3   com.apple.CoreFoundation      	0x9306dcd8 CFRunLoopRunInMode + 88
4   com.apple.CFNetwork           	0x94da6ebe CFURLCacheWorkerThread(void*) + 396
5   libSystem.B.dylib             	0x93441095 _pthread_start + 321
6   libSystem.B.dylib             	0x93440f52 thread_start + 34

Thread 8:
0   libSystem.B.dylib             	0x93410226 semaphore_timedwait_signal_trap + 10
1   libSystem.B.dylib             	0x934421ef _pthread_cond_wait + 1244
2   libSystem.B.dylib             	0x93443a73 pthread_cond_timedwait_relative_np + 47
3   com.apple.Foundation          	0x904ac75c -[NSCondition waitUntilDate:] + 236
4   com.apple.Foundation          	0x904ac570 -[NSConditionLock lockWhenCondition:beforeDate:] + 144
5   com.apple.Foundation          	0x904ac4d5 -[NSConditionLock lockWhenCondition:] + 69
6   com.apple.AppKit              	0x9246fd90 -[NSUIHeartBeat _heartBeatThread:] + 753
7   com.apple.Foundation          	0x904667ed -[NSThread main] + 45
8   com.apple.Foundation          	0x90466394 __NSThread__main__ + 308
9   libSystem.B.dylib             	0x93441095 _pthread_start + 321
10  libSystem.B.dylib             	0x93440f52 thread_start + 34

Thread 1 crashed with X86 Thread State (32-bit):
  eax: 0x00000000  ebx: 0x0008c184  ecx: 0x4d555458  edx: 0xffffffff
  edi: 0x16dae410  esi: 0x00004000  ebp: 0xb00bbe38  esp: 0xb00ba190
   ss: 0x0000001f  efl: 0x00010286  eip: 0x0008cbd0   cs: 0x00000017
   ds: 0x0000001f   es: 0x0000001f   fs: 0x0000001f   gs: 0x00000037
  cr2: 0x0000000f

Binary Images:
    0x1000 -    0xbdfff +org.m0k.transmission 1.51+ (8116) <ebfdc2884d6442fa8ee75f622633dd4c> /Applications/Transmission.app/Contents/MacOS/Transmission
  0x11d000 -   0x131fff +org.andymatuschak.Sparkle 1.5 Beta (bzr) (337) <ff8e2800bd64f6cec68510d6a13a5da6> /Applications/Transmission.app/Contents/Frameworks/Sparkle.framework/Versions/A/Sparkle
  0x13f000 -   0x16affb  libcurl.4.dylib ??? (???) <54ada27deb3b4ff7043d8836264eca0d> /usr/lib/libcurl.4.dylib
  0x191000 -   0x196ffc +com.sweetpproductions.SafariCookies 0.1 (0.1) <745b16d18447465e922913f6699e759f> /Library/InputManagers/Safari Cookies/Safari Cookies.bundle/Contents/MacOS/Safari Cookies
  0x1a3000 -   0x1a4ffd +com.machangout.Glims ??? (1.0) <b9dc8c61a024274aff2dc01aa9a92d4c> /Library/InputManagers/Glims/Glims.bundle/Contents/MacOS/Glims
  0x1a9000 -   0x1a9ffe +net.sourceforge.SafariAdBlockLoader 0.4.0 RC1 (0.4.0 RC1) <9b6f1a9172a51298b9e1e593baf80be6> /Library/InputManagers/Safari AdBlock/Safari AdBlock Loader.bundle/Contents/MacOS/Safari AdBlock Loader
  0x4d3000 -   0x6cbfff  com.apple.RawCamera.bundle 2.0.13 (435) <083354ccec68bf7c9fc99523a5838f92> /System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera
0x142d0000 - 0x142d5ff3  libCGXCoreImage.A.dylib ??? (???) <375e0cdb64b043378dbf637992bbfeb0> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGXCoreImage.A.dylib
0x16c3d000 - 0x16c40fff  com.apple.audio.AudioIPCPlugIn 1.0.5 (1.0.5) <e7424df9b53076d04045fb2e0132b2d0> /System/Library/Extensions/AudioIPCDriver.kext/Contents/Resources/AudioIPCPlugIn.bundle/Contents/MacOS/AudioIPCPlugIn
0x16c46000 - 0x16c4bfff  com.apple.audio.AppleHDAHALPlugIn 1.6.2 (1.6.2a37) /System/Library/Extensions/AppleHDA.kext/Contents/PlugIns/AppleHDAHALPlugIn.bundle/Contents/MacOS/AppleHDAHALPlugIn
0x16cf6000 - 0x16cf9fff  com.apple.LiveType.component 2.1.3 (2.1.3) /Library/QuickTime/LiveType.component/Contents/MacOS/LiveType
0x17302000 - 0x17367fde  com.apple.LiveType.framework 2.1.3 (2.1.3) /System/Library/PrivateFrameworks/LiveType.framework/Versions/A/LiveType
0x17387000 - 0x173cdfc3  com.apple.motion.component 1.0 (1.0) <77973a134e79426f853f2318e52a2207> /Library/QuickTime/Motion.component/Contents/MacOS/Motion
0x173d3000 - 0x173d602f +Motion ??? (???) <b5e862eee0ff4f86a78998e3e601a18c> /Library/Frameworks/Motion.framework/Versions/A/Motion
0x173db000 - 0x175b7ff6 +com.elgato.mpegsupport EyeTV MPEG Support 1.1.0 (build 48) (1.0.9) /Library/QuickTime/EyeTV MPEG Support.component/Contents/MacOS/EyeTV MPEG Support
0x70000000 - 0x700e6ff2  com.apple.audio.units.Components 1.5.2 (1.5.2) /System/Library/Components/CoreAudio.component/Contents/MacOS/CoreAudio
0x8fe00000 - 0x8fe2db43  dyld 97.1 (???) <100d362e03410f181a34e04e94189ae5> /usr/lib/dyld
0x9001b000 - 0x90046fe7  libauto.dylib ??? (???) <42d8422dc23a18071869fdf7b5d8fab5> /usr/lib/libauto.dylib
0x90047000 - 0x901acfe7  com.apple.JavaScriptCore 5528 (5528.15) <a1edf2b00622f9d833987cb333b432ac> /System/Library/Frameworks/JavaScriptCore.framework/Versions/A/JavaScriptCore
0x90265000 - 0x90275fff  com.apple.speech.synthesis.framework 3.7.1 (3.7.1) <5171726062da2bd3c6b8b58486c7777a> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x9045c000 - 0x906d7fe7  com.apple.Foundation 6.5.7 (677.22) <8fe77b5d15ecdae1240b4cb604fc6d0b> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x907a6000 - 0x90839ff3  com.apple.ApplicationServices.ATS 3.4 (???) <8c51de0ec3deaef416578cd59df38754> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x9083a000 - 0x90841fe9  libgcc_s.1.dylib ??? (???) <f53c808e87d1184c0f9df63aef53ce0b> /usr/lib/libgcc_s.1.dylib
0x90842000 - 0x90d13f3e  libGLProgrammability.dylib ??? (???) <5d283543ac844e7c6fa3440ac56cd265> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib
0x90d14000 - 0x90d18fff  libGIF.dylib ??? (???) <572a32e46e33be1ec041c5ef5b0341ae> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x90d19000 - 0x90dedfef  com.apple.WebKit 5528 (5528.16) <24ccae21ccfe5c21c2a78656983324c1> /System/Library/Frameworks/WebKit.framework/Versions/A/WebKit
0x90dee000 - 0x90e2cff7  libGLImage.dylib ??? (???) <1123b8a48bcbe9cc7aa8dd8e1a214a66> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x90e7c000 - 0x90e94fff  com.apple.openscripting 1.2.8 (???) <572c7452d7e740e8948a5ad07a99602b> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x90e95000 - 0x90f4ffe3  com.apple.CoreServices.OSServices 226.5 (226.5) <25243fd02dc5d4f4cc5780f6b2f6fe26> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x90f50000 - 0x91258fff  com.apple.HIToolbox 1.5.4 (???) <3747086ba21ee419708a5cab946c8ba6> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x913d7000 - 0x91404feb  libvDSP.dylib ??? (???) <b232c018ddd040ec4e2c2af632dd497f> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x91405000 - 0x91411ffe  libGL.dylib ??? (???) /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x91412000 - 0x91453fe7  libRIP.A.dylib ??? (???) <5d0b5af7992e14de017f9a9c7cb05960> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
0x91454000 - 0x914aeff7  com.apple.CoreText 2.0.4 (???) <f9a90116ae34a2b0d84e87734766fb3a> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
0x914af000 - 0x914fefff  com.apple.QuickLookUIFramework 1.3.1 (170.9) /System/Library/PrivateFrameworks/QuickLookUI.framework/Versions/A/QuickLookUI
0x916bc000 - 0x91736ff8  com.apple.print.framework.PrintCore 5.5.3 (245.3) <222dade7b33b99708b8c09d1303f93fc> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x91737000 - 0x917b6ff5  com.apple.SearchKit 1.2.1 (1.2.1) <3140a605db2abf56b237fa156a08b28b> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x917b7000 - 0x91985ff3  com.apple.security 5.0.4 (34102) <55dda7486df4e8e1d61505be16f83a1c> /System/Library/Frameworks/Security.framework/Versions/A/Security
0x919f4000 - 0x91a0cff7  com.apple.CoreVideo 1.6.0 (20.0) <c0d869876af51283a160cd2224a23abf> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
0x91aef000 - 0x91aefffb  com.apple.installserver.framework 1.0 (8) /System/Library/PrivateFrameworks/InstallServer.framework/Versions/A/InstallServer
0x91be5000 - 0x91c62fef  libvMisc.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x91d2d000 - 0x91e12ff3  com.apple.CoreData 100.1 (186) <8e28162ef2288692615b52acc01f8b54> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
0x91e13000 - 0x91e17fff  libmathCommon.A.dylib ??? (???) /usr/lib/system/libmathCommon.A.dylib
0x91e18000 - 0x91f5eff7  com.apple.ImageIO.framework 2.0.4 (2.0.4) <6a6623d3d1a7292b5c3763dcd108b55f> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x91f5f000 - 0x91f7dfff  libresolv.9.dylib ??? (???) <b5b1527c2d99495ad5d507ab0a4ea872> /usr/lib/libresolv.9.dylib
0x91f8e000 - 0x91fb2fff  libxslt.1.dylib ??? (???) <0a9778d6368ae668826f446878deb99b> /usr/lib/libxslt.1.dylib
0x91fb3000 - 0x9203efff  com.apple.framework.IOKit 1.5.1 (???) <f9f5f0d070e197a832d86751e1d44545> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x922a8000 - 0x922a8ff8  com.apple.ApplicationServices 34 (34) <8f910fa65f01d401ad8d04cc933cf887> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x922a9000 - 0x92330ff7  libsqlite3.0.dylib ??? (???) <6978bbcca4277d6ae9f042beff643f7d> /usr/lib/libsqlite3.0.dylib
0x92331000 - 0x9236bfe7  com.apple.coreui 1.2 (62) /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
0x9236c000 - 0x923c8ff7  com.apple.htmlrendering 68 (1.1.3) <fe87a9dede38db00e6c8949942c6bd4f> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x923c9000 - 0x92bc7fef  com.apple.AppKit 6.5.6 (949.43) <a3a300499bbe4f1dfebf71d752d01916> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x92bc8000 - 0x92bc8ff8  com.apple.Cocoa 6.5 (???) <e064f94d969ce25cb7de3cfb980c3249> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
0x92bc9000 - 0x92bd2fff  com.apple.speech.recognition.framework 3.7.24 (3.7.24) <d3180f9edbd9a5e6f283d6156aa3c602> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x92bd3000 - 0x92c2cff7  libGLU.dylib ??? (???) /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x92c2d000 - 0x92c55ff7  com.apple.shortcut 1 (1.0) <057783867138902b52bc0941fedb74d1> /System/Library/PrivateFrameworks/Shortcut.framework/Versions/A/Shortcut
0x92c5c000 - 0x92ff9fef  com.apple.QuartzCore 1.5.7 (1.5.7) <2fed2dd7565c84a0f0c608d41d4d172c> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x92ffa000 - 0x9312dfff  com.apple.CoreFoundation 6.5.5 (476.17) <4a70c8dbb582118e31412c53dc1f407f> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x9312e000 - 0x93133fff  com.apple.CommonPanels 1.2.4 (85) <ea0665f57cd267609466ed8b2b20e893> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x93134000 - 0x9340eff3  com.apple.CoreServices.CarbonCore 786.11 (786.11) <f06fe5d92d56ac5aa52d1ba182745924> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x9340f000 - 0x93576ff3  libSystem.B.dylib ??? (???) <d68880dfb1f8becdbdac6928db1510fb> /usr/lib/libSystem.B.dylib
0x93577000 - 0x93627fff  edu.mit.Kerberos 6.0.12 (6.0.12) <685cc018c133668d0d3ac6a1cb63cff9> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
0x93665000 - 0x93694fe3  com.apple.AE 402.3 (402.3) <4cb9ef65cf116d6dd424f0ce98c2d015> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x93695000 - 0x936d4fef  libTIFF.dylib ??? (???) <3589442575ac77746ae99ecf724f5f87> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x93704000 - 0x9371fffb  libPng.dylib ??? (???) <4780e979d35aa5ec2cea22678836cea5> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x93740000 - 0x93750ffc  com.apple.LangAnalysis 1.6.4 (1.6.4) <8b7831b5f74a950a56cf2d22a2d436f6> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x93751000 - 0x93a76fe2  com.apple.QuickTime 7.6.0 (1290) <bc0920abbbaad03f5513ac7ffbd30633> /System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime
0x93a77000 - 0x93bafff7  libicucore.A.dylib ??? (???) <18098dcf431603fe47ee027a60006c85> /usr/lib/libicucore.A.dylib
0x93bbb000 - 0x93bbefff  com.apple.help 1.1 (36) <b507b08e484cb89033e9cf23062d77de> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x93bcb000 - 0x93bcdff5  libRadiance.dylib ??? (???) <8a844202fcd65662bb9ab25f08c45a62> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x93bce000 - 0x93c17fef  com.apple.Metadata 10.5.2 (398.25) <e0572f20350523116f23000676122a8d> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x93c18000 - 0x93fd6fea  libLAPACK.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x93fd7000 - 0x94089ffb  libcrypto.0.9.7.dylib ??? (???) <69bc2457aa23f12fa7d052601d48fa29> /usr/lib/libcrypto.0.9.7.dylib
0x9408a000 - 0x94151ff2  com.apple.vImage 3.0 (3.0) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x94152000 - 0x94152ffd  com.apple.Accelerate.vecLib 3.4.2 (vecLib 3.4.2) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x94168000 - 0x94176ffd  libz.1.dylib ??? (???) <5ddd8539ae2ebfd8e7cc1c57525385c7> /usr/lib/libz.1.dylib
0x94177000 - 0x9419bfeb  libssl.0.9.7.dylib ??? (???) <c7359b7ab32b5f8574520746e10a41cc> /usr/lib/libssl.0.9.7.dylib
0x94352000 - 0x9435cfeb  com.apple.audio.SoundManager 3.9.2 (3.9.2) <0f2ba6e891d3761212cf5a5e6134d683> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x943a8000 - 0x943a8ffc  com.apple.audio.units.AudioUnit 1.5 (1.5) /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x943a9000 - 0x943a9ffd  com.apple.Accelerate 1.4.2 (Accelerate 1.4.2) /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x943aa000 - 0x943b7fe7  com.apple.opengl 1.5.9 (1.5.9) <7e5048a2677b41098c84045305f42f7f> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x943b8000 - 0x943effff  com.apple.SystemConfiguration 1.9.2 (1.9.2) <01426a38ba44efa5d448daef8b3e9941> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x943f0000 - 0x94418fff  libcups.2.dylib ??? (???) <81abd305142ad1b771024eb4a1309e2e> /usr/lib/libcups.2.dylib
0x94419000 - 0x94419ffa  com.apple.CoreServices 32 (32) <2fcc8f3bd5bbfc000b476cad8e6a3dd2> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x94455000 - 0x94455ffd  com.apple.vecLib 3.4.2 (vecLib 3.4.2) /System/Library/Frameworks/vecLib.framework/Versions/A/vecLib
0x94456000 - 0x94af6fff  com.apple.CoreGraphics 1.407.2 (???) <3a91d1037afde01d1d8acdf9cd1caa14> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x94af7000 - 0x94afeff7  libCGATS.A.dylib ??? (???) <386dce4b28448fb86e33e06ac466f4d8> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib
0x94aff000 - 0x94bcafff  com.apple.ColorSync 4.5.1 (4.5.1) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x94bd0000 - 0x94c4dfeb  com.apple.audio.CoreAudio 3.1.1 (3.1.1) <f35477a5e23db0fa43233c37da01ae1c> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x94c4e000 - 0x94c59fe7  libCSync.A.dylib ??? (???) <e6aceed359bd228f42bc1246af5919c9> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
0x94c5a000 - 0x94cabff7  com.apple.HIServices 1.7.0 (???) <01b690d1f376e400ac873105533e39eb> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x94cdc000 - 0x94cfbffa  libJPEG.dylib ??? (???) <e7eb56555109e23144924cd64aa8daec> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x94cfc000 - 0x94da3feb  com.apple.QD 3.11.54 (???) <b743398c24c38e581a86e91744a2ba6e> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x94da4000 - 0x94e41fe4  com.apple.CFNetwork 422.15.2 (422.15.2) <80851410a5592b7c3b149b2ff849bcc1> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x95e70000 - 0x95e72fff  com.apple.securityhi 3.0 (30817) <2b2854123fed609d1820d2779e2e0963> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x95e73000 - 0x95e7affe  libbsm.dylib ??? (???) <d25c63378a5029648ffd4b4669be31bf> /usr/lib/libbsm.dylib
0x95e7b000 - 0x95f07ff7  com.apple.LaunchServices 290.3 (290.3) <6f9629f4ed1ba3bb313548e6838b2888> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x95f08000 - 0x95f10fff  com.apple.DiskArbitration 2.2.1 (2.2.1) <75b0c8d8940a8a27816961dddcac8e0f> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x95f11000 - 0x95ff1fff  libobjc.A.dylib ??? (???) <7b92613fdf804fd9a0a3733a0674c30b> /usr/lib/libobjc.A.dylib
0x9603c000 - 0x96052fff  com.apple.DictionaryServices 1.0.0 (1.0.0) <ad0aa0252e3323d182e17f50defe56fc> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
0x960ba000 - 0x960d7ff7  com.apple.QuickLookFramework 1.3.1 (170.9) /System/Library/Frameworks/QuickLook.framework/Versions/A/QuickLook
0x960d8000 - 0x964e8fef  libBLAS.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x964e9000 - 0x964effff  com.apple.print.framework.Print 218.0.2 (220.1) <8bf7ef71216376d12fcd5ec17e43742c> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x964f0000 - 0x9654dffb  libstdc++.6.dylib ??? (???) <04b812dcec670daa8b7d2852ab14be60> /usr/lib/libstdc++.6.dylib
0x9654e000 - 0x965e1fff  com.apple.ink.framework 101.3 (86) <bf3fa8927b4b8baae92381a976fd2079> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x965e2000 - 0x965eeff9  com.apple.helpdata 1.0.1 (14.2) /System/Library/PrivateFrameworks/HelpData.framework/Versions/A/HelpData
0x965ef000 - 0x966d0ff7  libxml2.2.dylib ??? (???) <c65c902ca6afc1b4cf68b90cff921cc5> /usr/lib/libxml2.2.dylib
0x966d1000 - 0x96713fef  com.apple.NavigationServices 3.5.2 (163) <d3a7c9720479eed8ea35703125303871> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x96714000 - 0x96729ffb  com.apple.ImageCapture 5.0.1 (5.0.1) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x9682e000 - 0x968b8fef  com.apple.DesktopServices 1.4.7 (1.4.7) <7898a0f2a46fc7d8887b041bc23e3811> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x968b9000 - 0x968baffc  libffi.dylib ??? (???) <a3b573eb950ca583290f7b2b4c486d09> /usr/lib/libffi.dylib
0x968bb000 - 0x96a0dff3  com.apple.audio.toolbox.AudioToolbox 1.5.2 (1.5.2) /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x96a0e000 - 0x97298fff  com.apple.WebCore 5528 (5528.16) <7e28871fe2b59d98edd6e624d850ccb8> /System/Library/Frameworks/WebKit.framework/Versions/A/Frameworks/WebCore.framework/Versions/A/WebCore
0x97419000 - 0x97419fff  com.apple.Carbon 136 (136) <98a5e3bc0c4fa44bbb09713bb88707fe> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0xc0000000 - 0xc0008fff +com.growl.growlframework 1.1.3 (1.1.3) <a73dcf41c5c7d4b27d69b25dbdfd2fde> /Applications/Transmission.app/Contents/Frameworks/Growl.framework/Versions/A/Growl
0xfffe8000 - 0xfffebfff  libobjc.A.dylib ??? (???) /usr/lib/libobjc.A.dylib
0xffff0000 - 0xffff1780  libSystem.B.dylib ??? (???) /usr/lib/libSystem.B.dylib

 

It's probably best to compile the Debug build when testing Transmission.

Changed 13 years ago by dak180

Crashlog for build 8116

Changed 13 years ago by esetleges

comment:17 in reply to: ↑ 11 Changed 13 years ago by esetleges

Replying to charles:

r8116 *might* fix this. I think it does, but I'll wait to hear back from the people actually experiencing the crash... ;)

New (#8121) crash log attached.

Quick solve: Set global seeding ratio >= 0.10

comment:18 Changed 13 years ago by esetleges

Quick solve (fix) 2:

Delete Transmission folder from Application Support (/Users/YOUR_NAME/Library/Application Support/) and then set global seeding ratio >=0.10 (or >0.00)

comment:19 Changed 13 years ago by livings124

esetleges: So, in other words, the solution is to make the condition described in the ticket's title to not happen. ;)

comment:20 Changed 13 years ago by esetleges

livings: Not exactly:D

If Transmission crashes after setting ratio from 0.00 you will have to clean AppSupp? folder to fix problem.

comment:21 Changed 13 years ago by esetleges

OFF Big thanks for Transmission! It's the best OS X app which ever made!:D

Regards: A massive Transmission user and fun (since version 0.2) ON

comment:22 Changed 13 years ago by jah

i am experiencing this crash also

comment:23 Changed 13 years ago by KyleK

  • Cc 1100101@… added

comment:24 Changed 13 years ago by charles

There's a new possible fix for this in r8186, but I need feedback on it.

comment:25 Changed 13 years ago by Rolcol

I think this may be the fix. I corrupted the ubuntu iso file twice and had it download the piece again and it did not crash either of those times. I'll keep trying to break it.

comment:26 Changed 13 years ago by bollywood

Seems to be fixed for me too, Ill post back if I find otherwise

comment:27 Changed 13 years ago by dak180

Same here, will report if i get any more crashes.

comment:28 Changed 13 years ago by charles

  • Resolution set to fixed
  • Status changed from assigned to closed
Note: See TracTickets for help on using tickets.